<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="css/style.css">
</head>


<body>
    <!-- <div class="box-modle">box-sizing</div>
    <div class="box-modle-1">without box-sizing</div> -->
    <p id="priorityText">this is a sample of JS</p>
    <select id="colorOption" onchange="OnChangeColor()">
        <option value="red">
            red
        </option>
        <option value="green">
            green
        </option>
    </select>
    <input type="button" onclick="OnCHangeText()" value="submit">

</body>
<script>
    function OnCHangeText() {
        var long = document.getElementById("priorityText");
        if (long.innerHTML == "this is a sample of JS") {
            long.innerHTML = "short text by JS";
        } else {
            long.innerHTML = "this is a sample of JS";
        }
    }
    function OnChangeColor() {
        document.getElementById("priorityText").style.color =
            document.getElementById("colorOption").value;
    }

</script>

</html>